Britive platform release 2026.09.02 is now live in production.

Create verification template

Prev Next
Post
/api/resource-manager/resource-types/{resourceTypeId}/verification-templates

Create a new verification template with basic details (name, description). A resource type may have multiple verification templates; fails if the name is already used by another verification template on this resource type.

Security
HTTP
Type bearer
Path parameters
resourceTypeId
stringRequired

ID of the resource type

Body parameters

Basic verification template information (name and description)

object
verificationTemplateName
string

Name of the verification template (required). Must be unique among verification templates for this resource type.

Max length256
verificationTemplateDesc
string

Description of the verification template

Max length1048
Responses
201

Verification template created successfully

object
templateId
string

ID of the verification template

templateName
string

Name of the verification template

description
string

Description of the verification template

createdOn
string

Creation timestamp

createdBy
string

Name of user who created the template

400

Bad Request - a verification template with this name already exists for this resource type, or validation failed

404

Resource type not found